All Data Structures Namespaces Files Functions Variables
Address Class Reference
Inheritance diagram for Address:

## Protected Member Functions

| install ()
Protected Member Functions inherited from ModelBase
| install ()

## Additional Inherited Members

Public Member Functions inherited from ModelBase
| __construct ($id=null)
| getTableName ()
| getMeta ($lang=null)
| __get ($key)
| __set ($key, $value)
| save ()
| delete ()
| selects ($criteria=null, $orderBy=null)
| selectById ($id)
Static Public Member Functions inherited from ModelBase
static | init ($config=null)
static | getDbPrefix ()
static | setup ()
Static Protected Attributes inherited from ModelBase
static | $dbo = null

## Detailed Description

Definition at line 5 of file Address.php.

## Member Function Documentation

install | ( |  | ) |

protected

Definition at line 7 of file Address.php.

{
$dbPrefix = $this->getDbPrefix();
$result = self::$dbo->exec("CREATE TABLE IF NOT EXISTS `{$dbPrefix}address` (
`id` INTEGER(11) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
`user_id` INTEGER(11) UNSIGNED NULL,
`addressName` VARCHAR(255) NOT NULL,
`fullName` VARCHAR(255) NOT NULL,
`streetAddress` TEXT NOT NULL,
`city` VARCHAR(128) NOT NULL,
`zipCode` VARCHAR(16) NOT NULL,
`country` VARCHAR(128) NOT NULL,
`lastUsed` DATETIME NOT NULL,
FOREIGN KEY (`user_id`) REFERENCES `{$dbPrefix}user`(id),
UNIQUE(`user_id`, `addressName`)
)");
if ($result === false)
throw new \Exception(get_class().": ".self::$dbo->errorInfo()[2]);
return true;
}
Entity\ModelBase\getDbPrefix
static getDbPrefix()
Definition: ModelBase.php:42

The documentation for this class was generated from the following file:

- core/models/Address.php